KubeOne(1)

NAME
kubeone-init - init new kubeone cluster configuration

SYNOPSIS
kubeone init [flags]

DESCRIPTION
Initialize new KubeOne + terraform configuration for chosen provider.

OPTIONS
--cluster-name=""
    name of the cluster

-h, --help[=false]
    help for init

-i, --interactive[=false]
    run command in the interactive mode

--kubernetes-version="v1.34.3"
    kubernetes version

--path="."
    path where to write files

--provider="none"
    provider to initialize, possible values: aws, azure, digitalocean, equinixmetal, gce, hetzner, none, nutanix, openstack, vmware-cloud-director, vsphere, vsphere/flatcar

--terraform[=true]
    generate terraform config

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone init --provider aws

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra